Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20755

Description

Hi,I'm trying to copy some data into Excel for further analysis using the 'copy selected rows to clipboard' function but it isn’t correctly

formatted when I do this. In some cases data which should appear in a particular record is shunted down to the row below, whilst

alongside this there are a lot of seemingly irrelevant/random numerical values, such as '385313.69000440766103566

350620.07986475911457092. (I'm using Win 7 64bit)

History

#1 - 2015-04-24 07:46 AM - Giovanni Manghi

- Status changed from Open to Feedback

are you sure you are not coying also the geometries text definitions (there is an option in the general options), and so you get very wide columns? Please

check and report back. Thanks.

#2 - 2015-04-24 02:02 PM - Richard Craggs

OK, thanks for promptly getting back to me.  Your suggestion steered me to ‘Copy geometry in WKT representation from attribute table’ on the data

sources menu of options, which is ticked (selected) as part of the default configuration of QGIS and once I deactivated this I could copy ‘n paste the data –

many thanks.  I know about this now, but please if it isn’t too much hassle, is there any chance for the default configuration of this setting to be changed so

as initially to be unselected in future editions of the software?

#3 - 2015-04-25 01:44 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
